/*******************************************************************************
 * ParticleModuleKillBox generated by Eliot.UELib using UE Explorer.
 * Eliot.UELib ? 2009-2015 Eliot van Uytfanghe. All rights reserved.
 * http://eliotvu.com
 *
 * All rights belong to their respective owners.
 *******************************************************************************/
class ParticleModuleKillBox extends ParticleModuleKillBase
    native(Particle)
    editinlinenew
    hidecategories(Object,Object,Object);

var(Kill) RawDistributionVector LowerLeftCorner;
var(Kill) RawDistributionVector UpperRightCorner;
var(Kill) bool bAbsolute;
var(Kill) bool bKillInside;
var(Kill) bool bAxisAlignedAndFixedSize;

defaultproperties
{
    LowerLeftCorner=Distribution=DistributionVectorConstant'Default__ParticleModuleKillBox.DistributionLowerLeftCorner',Type=0,Op=1,LookupTableNumElements=1,LookupTableChunkSize=3,LookupTable=/* Array type was not detected. */,
/* Exception thrown while deserializing LowerLeftCorner
System.ArgumentException: Der angeforderte Wert "*" konnte nicht gefunden werden.
   bei System.Enum.TryParseEnum(Type enumType, String value, Boolean ignoreCase, EnumResult& parseResult)
   bei System.Enum.Parse(Type enumType, String value, Boolean ignoreCase)
   bei UELib.Core.UDefaultProperty.Deserialize()
   bei UELib.Core.UDefaultProperty.DeserializeDefaultPropertyValue(PropertyType type, DeserializeFlags& deserializeFlags) */
    UpperRightCorner=Distribution=DistributionVectorConstant'Default__ParticleModuleKillBox.DistributionUpperRightCorner',Type=0,Op=1,LookupTableNumElements=1,LookupTableChunkSize=3,LookupTable=/* Array type was not detected. */,
/* Exception thrown while deserializing UpperRightCorner
System.ArgumentException: Der angeforderte Wert "*" konnte nicht gefunden werden.
   bei System.Enum.TryParseEnum(Type enumType, String value, Boolean ignoreCase, EnumResult& parseResult)
   bei System.Enum.Parse(Type enumType, String value, Boolean ignoreCase)
   bei UELib.Core.UDefaultProperty.Deserialize()
   bei UELib.Core.UDefaultProperty.DeserializeDefaultPropertyValue(PropertyType type, DeserializeFlags& deserializeFlags) */
    bAxisAlignedAndFixedSize=true
    bUpdateModule=true
    bSupported3DDrawMode=true
}